Subject: bug#56197: [PATCH v3] lisp: Introduce a `lisp-fill-paragraph-as-displayed' variable.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Feb 2025 13:52:51 +0200

> From: Felix Lechner <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sun, 02 Feb 2025 13:13:12 -0800
> 
> Hi Eli,
> 
> On Sun, Feb 02 2025, Eli Zaretskii wrote:
> 
> > "In" would be correct if we were talking about filling doc strings and
> > them only
> 
> Then I would use 'fill-strings-like-doc-strings' or, if the prefix must
> match, 'fill-paragraphs-in-strings-like-doc-strings'.

"As" and "like" are synonyms in this case.  And using "string" twice
in the name sounds like unnecessary tautology to me.  "Paragraphs" is
better, because we do really fill paragraphs, not strings.

So I see nothing wrong with the current name that would justify yet
another rename.  We are splitting hair, IMO.

> > "As" is correct because we apply the rules of a doc string.
> 
> I assume you are referring to the recommendations from the Emacs
> manual. [1]

I referred to the basics of the English language.